%global repo dde-session

Name:           deepin-session
Version:        1.99.1
Release:        %autorelease
Summary:        Deepin Desktop Environment - session-shell module
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-session
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz
Patch0:         https://github.com/linuxdeepin/dde-session/pull/86.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)

BuildRequires:  cmake(DtkTools)
BuildRequires:  cmake(DtkCore)

BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(libsecret-1)

%description
dde-session is used for launching DDE components systemd service project. This
project refers to a part of GNOME session documents and files.

%prep
%autosetup -p1 -n %{repo}-%{version}

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%post
%systemd_user_post dde-desktop.service
%systemd_user_post dde-display.service
%systemd_user_post dde-dock.service
%systemd_user_post dde-keyring-checker.service
%systemd_user_post dde-lock.service
%systemd_user_post dde-login-reminder.service
%systemd_user_post dde-osd.service
%systemd_user_post dde-polkit-agent.service
%systemd_user_post dde-session-exit-task.service
%systemd_user_post dde-session-manager.service
%systemd_user_post dde-session-shutdown.service
%systemd_user_post dde-session@wayland.service
%systemd_user_post dde-session@x11.service
%systemd_user_post dde-version-checker.service
%systemd_user_post dde-xsettings-checker.service

%preun
%systemd_user_preun dde-desktop.service
%systemd_user_preun dde-display.service
%systemd_user_preun dde-dock.service
%systemd_user_preun dde-keyring-checker.service
%systemd_user_preun dde-lock.service
%systemd_user_preun dde-login-reminder.service
%systemd_user_preun dde-osd.service
%systemd_user_preun dde-polkit-agent.service
%systemd_user_preun dde-session-exit-task.service
%systemd_user_preun dde-session-manager.service
%systemd_user_preun dde-session-shutdown.service
%systemd_user_preun dde-session@wayland.service
%systemd_user_preun dde-session@x11.service
%systemd_user_preun dde-version-checker.service
%systemd_user_preun dde-xsettings-checker.service

%postun
%systemd_user_postun dde-desktop.service
%systemd_user_postun dde-display.service
%systemd_user_postun dde-dock.service
%systemd_user_postun dde-keyring-checker.service
%systemd_user_postun dde-lock.service
%systemd_user_postun dde-login-reminder.service
%systemd_user_postun dde-osd.service
%systemd_user_postun dde-polkit-agent.service
%systemd_user_postun dde-session-exit-task.service
%systemd_user_postun dde-session-manager.service
%systemd_user_postun dde-session-shutdown.service
%systemd_user_postun dde-session@wayland.service
%systemd_user_postun dde-session@x11.service
%systemd_user_postun dde-version-checker.service
%systemd_user_postun dde-xsettings-checker.service

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/X11/Xsession.d/00deepin-dde-env
%{_sysconfdir}/X11/Xsession.d/01deepin-profile
%{_sysconfdir}/X11/Xsession.d/94qt_env
%{_sysconfdir}/profile.d/deepin-xdg-dir.sh
%{_bindir}/dde-keyring-checker
%{_bindir}/dde-login-reminder
%{_bindir}/dde-session
%{_bindir}/dde-version-checker
%{_bindir}/dde-xsettings-checker
%{_userunitdir}/*.service
%{_userunitdir}/*.target
%dir %{_userunitdir}/dde-osd.target.wants
%dir %{_userunitdir}/dde-session-initialized.target.wants
%dir %{_userunitdir}/dde-session-pre.target.wants
%dir %{_userunitdir}/dde-session-shutdown.target.d
%{_userunitdir}/dde-osd.target.wants/dde-login-reminder.service
%{_userunitdir}/dde-session-initialized.target.wants/*.service
%{_userunitdir}/dde-session-pre.target.wants/*.service
%{_userunitdir}/dde-session-shutdown.target.d/dde-session-shutdown.conf
%{_libexecdir}/dde-session-ctl
%{_datadir}/dbus-1/services/org.deepin.dde.Session1.service
%{_datadir}/xsessions/dde-x11.desktop

%changelog
%autochangelog
